
Infrastructure - Task #1457

Story # 1123 (Closed): Define the authentication token

Document AuthToken and AuthSession objects

2011-04-04 17:17 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2011.14-Block.2   

Milestone: 2011-Block-2 Story Points:  

Product Version: *   

Description

History

#1 - 2011-04-04 17:18 - Matthew Jones

- Status changed from New to In Progress

#2 - 2011-04-06 17:45 - Matthew Jones

AuthToken is a UUID, and AuthSession is a SAML Assertion.  Documentation mostly complete -- mainly need to add identity mapping to a set of

alternateIdentities.

#3 - 2011-04-07 02:33 - Matthew Jones

- Category set to Documentation

- Status changed from In Progress to Closed

- Milestone set to 2011-Block-2

Completed the structure of AuthSessions using SAML Assertions.  Identity mappings are provided through a list of 'equivalentIdentity' attributes in the

SAML.  See the example SAML for details.
